Bug 97877 - /etc/X11/XF86Config is not updated
Summary: /etc/X11/XF86Config is not updated
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-keyboard (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-23 16:32 UTC by Toni Willberg
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-01 16:10:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toni Willberg 2003-06-23 16:32:13 UTC
redhat-config-keyboard-1.1.1-2
redhat-config-xfree86-0.9.6-1
XFree86-4.3.0-15.1

Obviously redhat-config-keyboard should update /etc/X11/XF86Config also, but for
some reason it does not seem to do so.

Every time I restart my X, I've got US keyboard instead of FI.

Something writes the following to my XF86Config:
 Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
 EndSection
It should say something about Option ''"XkbLayout" "fi"'' too.

Comment 1 Brent Fox 2003-07-01 14:56:20 UTC
It does update the file, but only if the XkbLayout line already exists, it
seems.  I'm unclear how your XF86Config file doesn't have an XkbLayout line
already in it.  I will try to add some code to handle this situation.

Comment 2 Toni Willberg 2003-07-01 15:08:50 UTC
I have a feeling that I've generated my XF86Config file with some configuration
utility (can't remember what, perhaps RedHat's own? :)

Anyway, keyboard config applet should add the line if it's missing, I think.


Comment 3 Brent Fox 2003-07-01 16:10:11 UTC
Should be fixed in redhat-config-keyboard-1.1.2-1 and should appear in Rawhide soon.

Comment 4 Brent Fox 2003-07-01 16:10:45 UTC
Also, I meant to add that the program should now create an XkbLayout line if one
doesn't already exist.


Note You need to log in before you can comment on or make changes to this bug.